## org.eclipse.amp.agf3d
Interface IShape3DProvider

All Known Implementing Classes:
  RenderingShapeProvider

    public interface IShape3DProvider

Author:
  mparker

Method Summary
`org.eclipse.draw3d.geometry.IVector3f` `getRelativeLocation3D(java.lang.Object object)`
`org.eclipse.draw3d.shapes.Shape` `getShape3D(java.lang.Object object, org.eclipse.draw3d.IFigure3D figure)`
`org.eclipse.draw3d.geometry.IVector3f` `getSize3D(java.lang.Object object)`

Method Detail

### getShape3D

    org.eclipse.draw3d.shapes.Shape getShape3D(java.lang.Object object,
                                               org.eclipse.draw3d.IFigure3D figure)

### getSize3D

    org.eclipse.draw3d.geometry.IVector3f getSize3D(java.lang.Object object)

  Parameters:
    `object` -
  Returns:

### getRelativeLocation3D

    org.eclipse.draw3d.geometry.IVector3f getRelativeLocation3D(java.lang.Object object)

  Parameters:
    `object` -
  Returns: